﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace Negocio.Modulos
{
    public class DetalleHojaGastos
    {
        public Nullable<int> IdDetalleHojaGastos { get; set; }
        public int IdHojaGastos { get; set; }
        public int IdTipoGasto { get; set; }
        public string Descripcion { get; set; }
        public string Observaciones { get; set; }
        public DateTime FechaInicio { get; set; }
        public DateTime FechaFin { get; set; }
        public double Importe { get; set; }
        public double ImporteCalculado { get; set; }
        public byte[] ImagenAdjunta { get; set; }

        public DetalleHojaGastos(Nullable<int> idDetalleHojaGastos, int idHojaGastos, int idTipoGasto, string descipcion, string observaciones,
            DateTime fechaInicio, DateTime fechaFin, double importe, double importeCalculado, byte[] imagenAdjunta)
        {
            IdDetalleHojaGastos = idDetalleHojaGastos;
            IdHojaGastos = idHojaGastos;
            IdTipoGasto = idTipoGasto;
            Descripcion = descipcion;
            Observaciones = observaciones;
            FechaInicio = fechaInicio;
            FechaFin = fechaFin;
            Importe = importe;
            ImporteCalculado = importeCalculado;
            ImagenAdjunta = imagenAdjunta;
        }
    }
}
