﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Negocio.Modulos
{
    public enum EstadoHojaGastos
    {
        Pendiente = 1,
        Aceptada = 2,
        Rechazada = 3
    }

    public class HojaGastos
    {
        public Nullable<int> IdHojaGastos { get; set; }
        public int IdUsuario { get; set; }
        public EstadoHojaGastos Estado { get; set; }
        public Nullable<int> IdResponsable { get; set; }
        public DateTime FechaCreacion { get; set; }
        public string ComentarioResponsable { get; set; }
        public Nullable<DateTime> FechaCambioEstado { get; set; }

        public HojaGastos(Nullable<int> idHojaGastos, int idUsuario, EstadoHojaGastos estado, Nullable<int> idResponsable, DateTime fechaCreacion, 
            string comentarioResponsable, Nullable<DateTime> fechaCambioEstado)
        {
            IdHojaGastos = idHojaGastos;
            IdUsuario = idUsuario;
            Estado = estado;
            IdResponsable = idResponsable;
            FechaCreacion = fechaCreacion;
            ComentarioResponsable = comentarioResponsable;
            FechaCambioEstado = fechaCambioEstado;            
        }
    }
}
