﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Negocio.Modulos
{
    public class Usuario
    {
        public Nullable<int> IdUsuario { get; set; }
        public string Nombre { get; set; }
        public string Apellidos { get; set; }
        public string NombreApellidos { get; set; }
        public string NombreLogin { get; set; }
        public string Contrasena { get; set; }
        public bool Activo { get; set; }
        public int IdDepartamento { get; set; }
        public TipoRolUsuario Rol { get; set; }

        public Usuario(Nullable<int> idUsuario, string nombre, string apellidos, string nombreLogin, string contrasena,
            bool activo, int idDepartamento, TipoRolUsuario rol)
        {
            IdUsuario = idUsuario;
            Nombre = nombre;
            Apellidos = apellidos;
            NombreApellidos = Nombre + " " + Apellidos;
            NombreLogin = nombreLogin;
            Contrasena = contrasena;
            Activo = activo;
            IdDepartamento = idDepartamento;
            Rol = rol;
        }
    }
}
